> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zbdpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment

> Retrieve all data about a single Payment.

## Usage

Use this API endpoint to get all of the properties of a given Payment record, including its total fee, processing timestamp, and settlement status.

## Configuration

### Path Parameters

<ParamField required path="id" type="string">
  Payment ID
</ParamField>

### Header Parameters

<ParamField required header="apikey" type="string">
  ZBD Project API Key
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Fetched Payment.",
    "data": {
      "id": "caafd318-527c-466b-81f2-441d3a092aae",
      "fee": "2000",
      "unit": "msats",
      "amount": "101000",
      "invoice": "lnbc1010n1p3mt8akpp5uyxhllflux2fvl36wjxh80wtqzdh2vjmu8cdyzuap578az80v74qdqcd3hzucmpwd5zqurp09kk2mn5cqzpgxqzjhsp550s770zy4puj76wqnua0hmym883gr07dhuast5ygcm44grl6z7ns9qyyssqgf7sumdmxwzgkq2m0h9lcv530sqs0m4t4shlu98djrrckrtulcmr8rear70dyftdm67jvgncxgz4jmd6ksx87jvnj88e39un48ssk4gp8vs4u5",
      "preimage": "8a14f6da89d4a8ffd09677f585b7c377de72744b7c3713d3c115fa71ca4fc290",
      "internalId": "11af01d092444a317cb33faa6b8304b8",
      "processedAt": "2023-01-04T15:48:29.805Z",
      "confirmedAt": "2023-01-04T15:48:29.805Z",
      "description": "Custom Payment Description",
      "status": "completed"
    }
  }
  ```
</ResponseExample>
